[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# TryEncodeDateWeek

Encode a year, week and day of week triplet to a TDateTime value

## Declaration

Source position: dateutil.inc line 328

`function TryEncodeDateWeek(`
`const AYear: Word;`
`const AWeekOfYear: Word;`
`out AValue: TDateTime;`
`const ADayOfWeek: Word`
`):Boolean; function TryEncodeDateWeek(`
`const AYear: Word;`
`const AWeekOfYear: Word;`
`out AValue: TDateTime`
`):Boolean;`

## Arguments

`AYear` |  | Year
`AWeekOfYear` |  | Week in the year
`AValue` |  | Encoded TDateTime value
`ADayOfWeek` |  | Day of the week (default 1).

## Function result

True if the encoding was successful, False otherwise.

## Arguments

`AYear` |  | Year
`AWeekOfYear` |  | Week in the year
`AValue` |  | Encoded TDateTime value

## Description

TryEncodeDateWeek encodes the values AYear, AWeekOfYear and ADayOfWeek to a date value and returns this value in AValue.

If the encoding was successful, True is returned. False is returned if any of the arguments is not valid.

## See also

EncodeDateMonthWeek |  | Encodes a year, month, week of month and day of week to a TDateTime value
EncodeDateWeek |  | Encode a TDateTime value from a year, week and day of week triplet
EncodeDateTime |  | Encodes a TDateTime value from all its parts
EncodeDateDay |  | Encodes a year and day of year to a TDateTime value
TryEncodeDateTime |  | Encode a Year, Month, Day, Hour, minute, seconds, milliseconds tuplet to a TDateTime value
TryEncodeDateMonthWeek |  | Encode a year, month, week of month and day of week to a TDateTime value
TryEncodeDateDay |  | Encode a year and day of year to a TDateTime value

## Example

    Program Example82;

    { This program demonstrates the TryEncodeDateWeek function }

    Uses SysUtils,DateUtils;

    Var
      Y,W,Dow : Word;
      TS : TDateTime;

    Begin
      DecodeDateWeek(Now,Y,W,Dow);
      If TryEncodeDateWeek(Y,W,TS,Dow) then
        Writeln('Today is : ',DateToStr(TS))
      else
        Writeln('Invalid date/week indication');
    End.